org.apache.jmeter.assertions

## Class XMLSchemaAssertion

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.assertions.XMLSchemaAssertion

All Implemented Interfaces:
  Serializable, Cloneable, Assertion, Searchable, TestElement

    public class XMLSchemaAssertion
    extends AbstractTestElement
    implements Serializable, Assertion

XMLSchemaAssertion.java Validate response against an XML Schema author

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FILE_NAME_IS_REQUIRED`
`static String` `JAXP_SCHEMA_LANGUAGE`
`static String` `JAXP_SCHEMA_SOURCE`
`static String` `W3C_XML_SCHEMA`
`static String` `XSD_FILENAME_KEY`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`XMLSchemaAssertion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AssertionResult` `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`String` `getXsdFileName()`
`void` `setXsdFileName(String xmlSchemaFileName)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### FILE_NAME_IS_REQUIRED

    public static final String FILE_NAME_IS_REQUIRED

See Also:
  Constant Field Values

#### JAXP_SCHEMA_LANGUAGE

    public static final String JAXP_SCHEMA_LANGUAGE

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA

    public static final String W3C_XML_SCHEMA

See Also:
  Constant Field Values

#### JAXP_SCHEMA_SOURCE

    public static final String JAXP_SCHEMA_SOURCE

See Also:
  Constant Field Values

#### XSD_FILENAME_KEY

    public static final String XSD_FILENAME_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### XMLSchemaAssertion

    public XMLSchemaAssertion()

### Method Detail

#### getResult

    public AssertionResult getResult(SampleResult response)

Description copied from interface: `Assertion`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

#### setXsdFileName

    public void setXsdFileName(String xmlSchemaFileName)

#### getXsdFileName

    public String getXsdFileName()